## org.exist.client.xacml
Interface AttributeHandler

All Known Implementing Classes:
  ActionAttributeHandler, ModuleAttributeHandler, ResourceCategoryAttributeHandler, UserAttributeHandler

public interface AttributeHandler

This interface defines methods for restricting the functions or values a user is allowed to enter for a given attribute.

Method Summary
`void` `checkUserValue(com.sun.xacml.attr.AttributeValue value, com.sun.xacml.attr.AttributeDesignator attribute)` Determines if the user entered value is valid.
`void` `filterFunctions(java.util.Set functions, com.sun.xacml.attr.AttributeDesignator attribute)` Removes functions that should not be available for the user to apply to an attribute.
`boolean` `getAllowedValues(java.util.Set values, com.sun.xacml.attr.AttributeDesignator attribute)` Determines which values the user may select for an attribute.

Method Detail

### filterFunctions

    public void filterFunctions(java.util.Set functions,
                                com.sun.xacml.attr.AttributeDesignator attribute)

  Removes functions that should not be available for the user to apply to an attribute.

  Parameters:
    `functions` - The `Set` of functions to modify in place.
    `attribute` - The relevant attribute

### getAllowedValues

    public boolean getAllowedValues(java.util.Set values,
                                    com.sun.xacml.attr.AttributeDesignator attribute)

  Determines which values the user may select for an attribute. If the user may enter values not in this set, this function should return true.

  Parameters:
    `values` - The `Set` to which allowed values should be added.
    `attribute` - The relevant attribute
  Returns:
    true if the user is not restricted to the values in the set, false otherwise

### checkUserValue

    public void checkUserValue(com.sun.xacml.attr.AttributeValue value,
                               com.sun.xacml.attr.AttributeDesignator attribute)
                        throws com.sun.xacml.ParsingException

  Determines if the user entered value is valid.

  Parameters:
    `value` - The value to check
    `attribute` - The relevant attribute
  Throws:
    `com.sun.xacml.ParsingException` - if the user entered value is invalid

Copyright (C) Wolfgang Meier. All rights reserved.